<template>
  <div class="participant-container">
    
    <div :class="decideButton" class="participant-button" @click="(event) => callbackClickButton(event, participant)"/>

    <div class="participant-picture"/>

    <div class="participant-info"> 
      {{ participant.name }}
    </div>
  </div>
</template>

<script>
export default {
  props: {
    participant: {
      type: Object,
      required: true
    },
    callbackClickButton: {
      type: Function,
      required: true
    }
  },

  computed: {
    decideButton() {
      return {
        "participant-select-button": this.participant.isSelected === true,
        "participant-deselect-button": this.participant.isSelected === false
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.participant-container {
  box-sizing: border-box;
  border-radius: 10px;
  display: flex;
  flex-flow: row nowrap;
  background: #e9e8e8;
  width: 95%;
  height: 5rem;
  min-height: 5rem;
  margin: 0 auto 0.25em;
  justify-content: space-around;
}

.participant-button {
  font-size: 22px;
  color: white;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  margin: auto 5px auto 0;
}

.participant-select-button {
  background: green;
}

.participant-select-button:before {
  content: " \2714";
}

.participant-deselect-button {
  background: red;
}

.participant-deselect-button:before {
  content: " \2716";
}

.participant-picture {
  background-color: black;
  margin: auto 5px auto 0;
  border-radius: 50%;
  width: 4rem;
  height: 4rem;
}

.participant-info {
  font-family: "Quicksand", "Source Sans Pro", -apple-system, BlinkMacSystemFont,
    "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  margin: auto 0.5rem;
  width: 40%;
}
</style>
